# compiler and flags to use
CC = gcc
CFLAGS = -Wall

# perl interpreter with path if necessary
PERL = perl

# full path to QLA directory
QLADIR = $(HOME)/scidac/build/qla

# full path to QIO directory
QIODIR = $(HOME)/scidac/build/qio

# uncomment to make libqdp_common_mpi.a which uses MPI communications
HAVE_MPI = yes
# full path to MPI header
MPIINC = /usr/include/mpi
# full path to MPI library or appropriate linker command
# only used for compiling test programs
MPILIB = -lmpi

# uncomment to make libqdp_common_qmp.a which uses QMP communications
HAVE_QMP = yes
QMPDIR = $(HOME)/scidac/build/qmp
# full path to QMP header
QMPINC = $(QMPDIR)/include
# full path to QMP library or appropriate linker command
# only used for compiling test programs
QMPLIB = -L$(QMPDIR)/lib -lqmp -lmpi

# other directories and filenames that should probably be left as they are
GENDIR = generate
SRCDIR = src
INCDIR = include
LIBDIR = lib
LOGFILE = make.log
